{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{          Interbase components registration             }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZIbSqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

{$IFNDEF LINUX}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZIbSqlCon, ZIbSqlTr, ZIbSqlQuery, DB, ZQuery, ZIbSqlNotify,
  {$IFDEF WITH_PROPEDIT} ZIbSqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{**********************************************************}

{ Register component in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlDatabase]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlQuery]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlStoredProc]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZIbSqlNotify]);

  RegisterFields([TZZBCDField]);

{$IFDEF WITH_PROPEDIT}
(*
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZIbSqlDatabase, 'Database',
    TZZIbSqlDatabaseNameProperty);
{$ENDIF}
*)
  RegisterPropertyEditor(TypeInfo(string), TZZIbSqlTable, 'TableName',
    TZZIbSqlTableNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TZZIbSqlStoredProc, 'StoredProcName',
    TZZIbSqlStoredProcNameProperty);
{$ENDIF}
end;

end.
